PDA

View Full Version : rpm dependencies



ketter
26-Feb-2016, 22:35
I'm not a SLES expert. I have done some searching, but still can't
find an answer to this. If someone could point me in the right
direction, it would be much appreciated.

Trying to install ZendTo on SLES 11 SP4.
# rpm -ivh zendto-4.12-5.noarch.rpm
error: Failed dependencies:
clamd is needed by zendto-4.12-5.noarch
mysql-server is needed by zendto-4.12-5.noarch
rpmlib(FileDigests) <= 4.6.0-1 is needed by
zendto-4.12-5.noarch

clamav and mysql are both installed and running. Any ideas what to
look at to figure out why the install doesn't recognize them? And
what is the third item - rpmlib?

Thanks
Ken

malcolmlewis
26-Feb-2016, 23:18
On Fri 26 Feb 2016 09:35:00 PM CST, KeN Etter wrote:

I'm not a SLES expert. I have done some searching, but still can't
find an answer to this. If someone could point me in the right
direction, it would be much appreciated.

Trying to install ZendTo on SLES 11 SP4.
# rpm -ivh zendto-4.12-5.noarch.rpm
error: Failed dependencies:
clamd is needed by zendto-4.12-5.noarch
mysql-server is needed by zendto-4.12-5.noarch
rpmlib(FileDigests) <= 4.6.0-1 is needed by
zendto-4.12-5.noarch

clamav and mysql are both installed and running. Any ideas what to
look at to figure out why the install doesn't recognize them? And
what is the third item - rpmlib?

Thanks
Ken


Hi
If you use zypper instead of rpm, things will be resolved automatically
for you or provide better info on what is wrong...



zypper in zendto-4.12-5.noarch.rpm


--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 SP1|GNOME 3.10.4|3.12.53-60.30-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

ab
27-Feb-2016, 05:33
I think the 'rpmlib' bit is referring to the version of the rpm system,
and on SLES 11 SP4 it's 4.4, not 4.6, so that may be a tricky one. Still,
try using skipping that dependency if it's the only thing left and you
should be fine.

The others may be a bit more interesting, so perhaps skip them too. The
package name for the mysql service on SLES is just 'mysql' and if clamd is
clam antivirus software, then that's 'clamav', and if not meaning that
software, I have no idea what that means. Since the package names do not
line up, even though the services are there the rpm system will not find
them, so you'll need to skip those dependencies.



rpm --nodeps -i zendo


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

ketter
29-Feb-2016, 16:57
On Fri, 26 Feb 2016 22:18:51 GMT, malcolmlewis
<malcolmlewis@no-mx.forums.microfocus.com> wrote:

>

>On Fri 26 Feb 2016 09:35:00 PM CST, KeN Etter wrote:
>
>I'm not a SLES expert. I have done some searching, but still can't
>find an answer to this. If someone could point me in the right
>direction, it would be much appreciated.
>
>Trying to install ZendTo on SLES 11 SP4.
># rpm -ivh zendto-4.12-5.noarch.rpm
>error: Failed dependencies:
> clamd is needed by zendto-4.12-5.noarch
> mysql-server is needed by zendto-4.12-5.noarch
> rpmlib(FileDigests) <= 4.6.0-1 is needed by
>zendto-4.12-5.noarch
>
>clamav and mysql are both installed and running. Any ideas what to
>look at to figure out why the install doesn't recognize them? And
>what is the third item - rpmlib?
>
>Thanks
>Ken
>
>
>Hi
>If you use zypper instead of rpm, things will be resolved automatically
>for you or provide better info on what is wrong...
>
>

>zypper in zendto-4.12-5.noarch.rpm
>

that returns this:
Problem: nothing provides clamd needed by zendto-4.12-5.noarch

But clamav is installed and clamd is running. I'm stumped.
Frustrating because my original install of zendto is way out of date
and needs replaced. If Novell Filr had a couple additional features,
I could replace ZendTo with Filr. Maybe I just need to use something
other than SLES for this.

ketter
29-Feb-2016, 17:00
On Sat, 27 Feb 2016 04:33:14 GMT, ab <ab@no-mx.forums.microfocus.com>
wrote:

>I think the 'rpmlib' bit is referring to the version of the rpm system,
>and on SLES 11 SP4 it's 4.4, not 4.6, so that may be a tricky one. Still,
>try using skipping that dependency if it's the only thing left and you
>should be fine.
>
>The others may be a bit more interesting, so perhaps skip them too. The
>package name for the mysql service on SLES is just 'mysql' and if clamd is
>clam antivirus software, then that's 'clamav', and if not meaning that
>software, I have no idea what that means. Since the package names do not
>line up, even though the services are there the rpm system will not find
>them, so you'll need to skip those dependencies.
>
>

>rpm --nodeps -i zendo
>

My understanding is that clamd is the daemon for clamav. And it
appears to be running. I may just go a different route. Thanks.